#include <afxwin.h>
#include <afxcmn.h>
#include <math.h>
#define IDC_BUTTON 501
#define nMenuItems 3
#define maxInput 11
#define N 8
#define M 6

extern double parse(CString,int,double [],int []);

class CCode11 : public CFrameWnd
{
protected:
	typedef struct
	{
		double x,y,t;
	} PT;
	PT *pt;
	typedef struct
	{
		CString label,item;
		CPoint hm;
		CEdit ed;
		CRect rc,display;
	} INPUT;
	INPUT input[maxInput+1];
	typedef struct
	{
		CString item;
		CPoint hm;
		CRect rc;
	} MENU;
	MENU menu[nMenuItems+1];
	CListCtrl table1,table2;
	CPoint hGrid;
	CRect rcGrid;
	CSize wrc;
	CFont Arial80;
	CButton btn;
	int fStatus,m,n,idc,nInputItems,fMenu;
	int hSpace,vSpace,r1vspace;
	double **a,*b,alpha,h,k,*z,**u,**w;
public:
	CCode11();
	~CCode11();
	void InputLabels(),Poisson(),Heat(),Wave();
	void SolveSLE(),ShowTable(),Clear(CRect),SecondInput();
	afx_msg void OnPaint(),OnButton();
	afx_msg void OnLButtonDown(UINT,CPoint);
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
};
