// Code2D.cpp: Finding the determinant of a square matrix
#include <fstream.h>
#include <iostream.h>
#define N 4

void main()
{
    int i,j,k;
	double A[N+1][N+1];

	cout.setf(ios::fixed);
	cout.precision(5);
    cout << "Input matrix A: " << endl;
    ifstream InFile("Code2D.in");
   	for (i=1;i<=N;i++)
   	{
       	for (j=1;j<=N;j++)
		{
           	InFile >> A[i][j];
			cout << A[i][j] << " ";
		}
		cout << endl;
   	}
	InFile.close();

	// row operations
   	double Product,m;
   	for (k=1;k<=N-1;k++)
       	for (i=k+1;i<=N;i++)
		{
			m=A[i][k]/A[k][k];
			for (j=1;j<=N;j++)
				A[i][j]-=m*A[k][j];
		}

	cout << endl << "matrix U:" << endl;
   	for (i=1;i<=N;i++)
   	{
       	for (j=1;j<=N;j++)
			cout << A[i][j] << " ";
		cout << endl;
   	}

	Product=1;
	for (i=1;i<=N;i++)
		Product *= A[i][i];

	// display results
	cout << endl << "det(A)=" << Product << endl;
}
