#include <afxwin.h>
#include <afxcmn.h>
#include <math.h>
#define IDC_BUTTON 501
#define m 200
#define nMenuItems 4
#define maxInput 11
#define maxIter 100 

extern double parse(CString,int,double [],int []);

class CCode6 : public CFrameWnd
{
protected:
	typedef struct
	{
		double x,y,yd1,a,b,c,error;
	} PT;
	PT *pt,max,min,left,right;
	typedef struct
	{
		CString label,item;
		CPoint hm;
		CEdit ed;
		CRect rc,display;
	} INPUT;
	INPUT input[maxInput+1];
	typedef struct
	{
		CString item;
		CPoint hm;
		CRect rc;
	} MENU;
	MENU menu[nMenuItems+1];
	typedef struct
	{
		CPoint hm,end;
		CRect rc;
	} CURVE;
	CURVE curve;
	CListCtrl table;
	CFont Arial80;
	CButton btn;
	int Stop,idc,nInputItems,fMenu;
	bool fStatus;
	double Solution;
public:
	CCode6();
	~CCode6();
	void BisectionFPP(),Newton(),Secant();
	void DrawCurve(),ShowTable();
	afx_msg void OnPaint(),OnButton();
	afx_msg void OnLButtonDown(UINT,CPoint);
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
};
