#include <afxwin.h>
#include <afxcmn.h>
#include <math.h>
#define IDC_BUTTON 501
#define m 400
#define nMenuItems 5
#define maxPt 20

class CCode7 : public CFrameWnd
{
protected:
	typedef struct
	{
		double x,y;
	} PT;
	PT *pt,*ipt,max,min,left,right;
	typedef struct
	{
		CString item;
		CPoint hm;
		CRect rc;
	} MENU;
	MENU menu[nMenuItems+1];
	typedef struct
	{
		CPoint hm,end;
		CRect rc;
	} CURVE;
	CURVE curve;
	typedef struct
	{
		CPoint hm,end;
		CRect rc;
	} OUTPUT;
	OUTPUT output;
	CListCtrl table;
	CFont Arial80;
	CButton btn;
	int idc,nPt,fMenu,MenuItem[nMenuItems+1];
	bool fStatus;
	double m1,m2,c1,c2;
	double *A,*B,*C,*D;
	double *c;
public:
	CCode7();
	~CCode7();
	void Lagrange(),CSpline(),LSquare(),DDifference();
	void DrawCurve(), ShowTable(), Clear(CRect);
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT,CPoint);
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
};
