// Code2E.cpp: Computing the inverse of a matrix
#include <fstream.h>
#include <iostream.h>
#define N 4

void main()
{
   	int i,j,k;
	double **A, **B, **X;
	A=new double *[N+1];
	B=new double *[N+1];
	X=new double *[N+1];

	for (i=0;i<=N;i++)
	{
		A[i]=new double [N+1];
		B[i]=new double [N+1];
		X[i]=new double [N+1];
	}

	cout.setf(ios::fixed);
	cout.precision(5);
   	ifstream InFile("Code2E.in");
   	for (i=1;i<=N;i++)
       	for (j=1;j<=N;j++)
		{
           	InFile >> A[i][j];
			if (i==j)
				B[i][j]=1;
			else
				B[i][j]=0;
		}
	InFile.close();

	// row operations
   	double Sum,m;
   	for (k=1;k<=N-1;k++)
       	for (i=k+1;i<=N;i++)
		{
			m=A[i][k]/A[k][k];
			for (j=1;j<=N;j++)
			{
				A[i][j] -= m*A[k][j];
				B[i][j] -= m*B[k][j];
			}
		}
    
	// backward substitutions
   	for (i=N;i>=1;i--)
		for (j=1;j<=N;j++)
		{
       		Sum=0;
			for (k=i+1;k<=N;k++)
             	Sum += A[i][k]*X[k][j];
			X[i][j]=(B[i][j]-Sum)/A[i][i];
		}
	for (i=1;i<=N;i++)
	{
		for (j=1;j<=N;j++)
			cout << X[i][j] << " ";
		cout << endl;
	}
}
