// Code2C.cpp: Reducing a square matrix into its upper triangular form
#include <fstream.h>
#include <iostream.h>
#define N 4

void main()
{
    int i,j,k;
	double **a;
	a=new double *[N+1];
	for (i=0;i<=N;i++)
		a[i]=new double [N+1];

   	ifstream InFile("Code2C.in");
   	for (i=1;i<=N;i++)
     	for (j=1;j<=N;j++)
           	InFile >> a[i][j];
	InFile.close();

	// row operations
   	double m;
   	for (k=1;k<=N-1;k++)
     	for (i=k+1;i<=N;i++)
		{
			m=a[i][k]/a[k][k];
			for (j=1;j<=N;j++)
				a[i][j] -= m*a[k][j];
		}
    
	for (i=1;i<=N;i++)
	{
		for (j=1;j<=N;j++)
			cout << a[i][j] << " ";
		cout << endl;
	}
}
