#include <afxwin.h>
#include <math.h>
#define nMenuItems 2
#define nInput 7
#define nOutput 2
#define m 400

extern double parse(CString,int,double [],int []);

class CCode4C : public CFrameWnd
{
protected:
	typedef struct
	{
		double t,x,y;
	} PT;
	PT *pt,max,min,left,right;
	typedef struct
	{
		CString item;
		CPoint hm;
		CRect rc;
	} MENU;
	MENU menu[nMenuItems+1];	
	typedef struct
	{
		CString item;
		CPoint hm;
		CEdit ed;
		CRect rc;
	} INPUT;
	INPUT input[nInput+1];
	typedef struct
	{
		CPoint hm;
		CStatic st;
		CRect rc;
	} OUTPUT;
	OUTPUT output[nOutput+1];
	typedef struct
	{
		CPoint hm,end;
		CRect rc;
	} CURVE;
	CURVE curve;
	int idc,fMenu;
	CFont Arial80;
public:
	CCode4C();
	~CCode4C();
	void DrawCurve();
	afx_msg void OnPaint(),OnLButtonDown(UINT,CPoint);
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
};
