#include <afxwin.h>
#include <afxcmn.h>
#include <math.h>
#define M 200
#define IDC_BUTTON 501
#define maxInput 11
#define nMenuItems 2
#define nTableItems 4

extern double parse(CString,int,double [],int []);

class CCode8 : public CFrameWnd
{
protected:
	typedef struct
	{
		double x,y,yd1,yd2;
	} PT;
	PT *pt,max,min,left,right;
	typedef struct
	{
		CString label,item;
		CPoint hm;
		CEdit ed;
		CRect rc;
	} INPUT;
	INPUT input[maxInput+1];
	typedef struct
	{
		CString item;
		CPoint hm;
		CRect rc;
	} MENU;
	MENU menu[nMenuItems+1];
	typedef struct
	{
		CPoint hm,end;
		CRect rc;
	} CURVE;
	CURVE curve;
	CListCtrl table;
	CFont Arial80;
	CButton btn;
	int m,idc,nInput,fMenu;
	bool fStatus;
	double h,aTrap,aSimp,aSimp38,aGL;
public:
	CCode8();
	~CCode8();
	void Differentiation(),Integration();
	void DrawCurve(),ShowTable();
	afx_msg void OnPaint(),OnLButtonDown(UINT,CPoint);
	afx_msg void OnButton();
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
};
