//Code9.h
#include <afxwin.h>
#include <afxcmn.h>
#include <math.h>
#define M 8
#define nInputItems (M+1)
#define maxIter 200 
#define IDC_BUTTON 501

class CCode9 : public CFrameWnd
{
protected:
	typedef struct
	{
		double lambda,v[M+1],error;
		double lambdaB,vB[M+1],errorB;
		double lambdaQR[M+1],vQR[M+1][M+1],errorQR[M+1];
	} ITER;
	ITER eigen[maxIter+1];
	typedef struct
	{
		CPoint hm;
		CString item;
		CEdit ed;
	} INPUT;
	INPUT input[nInputItems+1][M+1];
	typedef struct
	{
		CPoint hm;
		CListCtrl list;
	} TABLE;
	TABLE table[3];
	CFont Arial80;
	CButton btn;
	bool fStatus;
	int m,StopA,StopB,idc,fMenu;
	double epsilon;
public:
	CCode9();
	~CCode9();
	void PowerTable(int),QRTable(int);
	void PowerMtd(int,double **),QRMtd(double **);
	afx_msg void OnPaint();
	afx_msg void OnButton();
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
};
